import xmlrpc.client
import ssl
import time

class N4dManager:
	
	def __init__(self,server=None):
		
		self.debug=True
		
		self.client=None
		self.user_validated=False
		self.user_groups=[]
		self.validation=None
		self.status=False
		
		if server!=None:
			self.set_server(server)
		
	#def init
	
	
	def set_server(self,server):
		
		context=ssl._create_unverified_context()	
		self.client=xmlrpc.client.ServerProxy("https://%s:9779"%server,allow_none=True,context=context)
		
	#def set_server
	

	def validate_user(self,user,password):
		
		ret=self.client.validate_user(user,password)
		self.user_validated,self.user_groups=ret
			
		
		if self.user_validated:
			self.validation=(user,password)
	
		return self.user_validated
		
	#def validate_user
	
	
	def get_configuration(self):
		
		ret=self.client.get_configuration("","PanelDesignManager")
		if ret["status"]:
			return ret["msg"]
		else:
			return None
			
	#def get_configuration
	
	
	def save_configuration(self,data):
		
		ret=self.client.save_configuration(self.validation,"PanelDesignManager",data)
		if ret["status"]:
			return (True,"")
		else:
			return (False,ret["msg"])
		
	#def save_configuration
	
	
	
	